Custom Proxies
Create a proxy config
Creates a proxy config. The body is a discriminated union on protocol: socks5 requires name, host, port, user, and password, while wireguard requires name and a config string. Returns the created config with its generated proxyId.
POST
/
proxies
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const proxy = await client.proxies.create({
host: 'x',
name: 'xxx',
password: 'x',
port: 1,
protocol: 'socks5',
user: 'x',
});
console.log(proxy.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
proxy = client.proxies.create(
host="x",
name="xxx",
password="x",
port=1,
protocol="socks5",
user="x",
)
print(proxy.data)curl --request POST \
--url https://api.mobilerun.ai/v1/proxies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"host": "<string>",
"name": "<string>",
"password": "<string>",
"port": 32768,
"protocol": "socks5",
"user": "<string>"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mobilerun.ai/v1/proxies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'host' => '<string>',
'name' => '<string>',
'password' => '<string>',
'port' => 32768,
'protocol' => 'socks5',
'user' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mobilerun.ai/v1/proxies"
payload := strings.NewReader("{\n \"host\": \"<string>\",\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"port\": 32768,\n \"protocol\": \"socks5\",\n \"user\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mobilerun.ai/v1/proxies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"host\": \"<string>\",\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"port\": 32768,\n \"protocol\": \"socks5\",\n \"user\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mobilerun.ai/v1/proxies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"host\": \"<string>\",\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"port\": 32768,\n \"protocol\": \"socks5\",\n \"user\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"host": "<string>",
"name": "<string>",
"password": "<string>",
"port": 32768,
"protocol": "socks5",
"proxyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": "<string>"
},
"message": "<string>",
"success": true
}{
"code": "credential_read_only",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryAfterSeconds": 123,
"traceId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"traceId": "<string>"
}Authorizations
Bearer token via Authorization header
Body
application/json
- Option 1
- Option 2
Was this page helpful?
⌘I
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const proxy = await client.proxies.create({
host: 'x',
name: 'xxx',
password: 'x',
port: 1,
protocol: 'socks5',
user: 'x',
});
console.log(proxy.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
proxy = client.proxies.create(
host="x",
name="xxx",
password="x",
port=1,
protocol="socks5",
user="x",
)
print(proxy.data)curl --request POST \
--url https://api.mobilerun.ai/v1/proxies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"host": "<string>",
"name": "<string>",
"password": "<string>",
"port": 32768,
"protocol": "socks5",
"user": "<string>"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mobilerun.ai/v1/proxies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'host' => '<string>',
'name' => '<string>',
'password' => '<string>',
'port' => 32768,
'protocol' => 'socks5',
'user' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mobilerun.ai/v1/proxies"
payload := strings.NewReader("{\n \"host\": \"<string>\",\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"port\": 32768,\n \"protocol\": \"socks5\",\n \"user\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mobilerun.ai/v1/proxies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"host\": \"<string>\",\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"port\": 32768,\n \"protocol\": \"socks5\",\n \"user\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mobilerun.ai/v1/proxies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"host\": \"<string>\",\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"port\": 32768,\n \"protocol\": \"socks5\",\n \"user\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"host": "<string>",
"name": "<string>",
"password": "<string>",
"port": 32768,
"protocol": "socks5",
"proxyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": "<string>"
},
"message": "<string>",
"success": true
}{
"code": "credential_read_only",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryAfterSeconds": 123,
"traceId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"traceId": "<string>"
}